# RH 7.0
#%%define contentdir    /var/www/html/squid-reports
# RH 6.2
%define contentdir      /home/httpd/html/squid-reports

Summary:   Squid Analysis Report Generator
Name: 	   sarg
Version:   1.1
Release:   1
URL:       http://web.onda.com.br/orso/
Source:    http://web.onda.com.br/orso/%{name}-%{version}.tar.gz
Copyright: GPL
Group:     System Environment/Daemons
BuildRoot: /var/tmp/%{name}-%{version}-root
Obsoletes:  sqmgrlog
Requires:  squid

%description
Sarg - Squid Analysis Report Generator is a tool that allow you to view 
"where" your users are going to on the Internet.
Sarg generate reports in html, with many fields, like: 
users, IP Addresses, bytes, sites and times.

%prep
%setup

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --enable-prefix=/usr --enable-sysconfdir=%{_sysconfdir}/%{name}
make

%install
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/%{name}
mkdir -p $RPM_BUILD_ROOT/%{_sbindir}
mkdir -p $RPM_BUILD_ROOT%{contentdir}
make BINDIR=$RPM_BUILD_ROOT%{_sbindir} SYSCONFDIR=$RPM_BUILD_ROOT%{_sysconfdir}/%{name} install
cp -rf languages $RPM_BUILD_ROOT/%{_sysconfdir}/%{name}

%post
if ! grep '* * * * root %{_sbindir}/sarg' /etc/crontab > /dev/null; then
    echo "" >> /etc/crontab
    echo "30 3 * * * root %{_sbindir}/sarg %{_sysconfdir}/%{name}/sarg.conf" >> /etc/crontab
fi

%postun
if [ $1 = 0 ]; then
    grep -v '%{_sbindir}/sarg' /etc/crontab > /etc/crontab.new
    mv /etc/crontab.new /etc/crontab
fi

%files
%defattr(-,root,root)
%doc CO* ChangeLog DONATIONS README README 
%{_sbindir}/sarg
%config(noreplace) %{_sysconfdir}/%{name}/sarg.conf
%config(noreplace) %{_sysconfdir}/%{name}/exclude_codes
%{_sysconfdir}/%{name}/languages/*
%dir %{contentdir}

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Mar 29 2001 Gomez Henri <hgomez@slib.fr>
- initial RPM release
